Redmine - Defect #19580

"Required"” and "Read-only" rules on "Fields Permissions" screen are not colored
2015-04-09 16:04 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 2.6.4

Resolution: Fixed Affected version:

Description

"Required" and "Read-only" rules on "Fields Permission" screen are not colored in Redmine 3.0. It is caused by wrong css classes
which have unnecessary chars as follows.

<td class="[&quot; required&quot;]">

This issue can be fixed by the attached patch: fields_permissions_color_fix.diff

expected (Redmine 2.6):

Issue
New In Progress Resolved
4 Standard fields
Project * L 2] » d»
Tracker * 2w 2] » Bk
Subject * 2w 3k 3k
Description | Required : |® | Required :|®  Required : ®
Priority * Read-only : #*  Read-only : ®* | Read-only : =
Private * 3K 3k s»
actual (current trunk):
Issue
MNeaw In Progress Resolved
3 Standard fields
Project * L] ] » 3k
Tracker * s » x| » y | »
Subject * 3 3k S
Description Required : % | Required : % | Reguired : »
Priority * Read-only : #* | Read-only :|® | Read-only : =*
Private = 3K tw s »
Related issues:
Related to Redmine - Defect #22305: Highlighting of required and read-only cu... Closed

Associated revisions

Revision 14160 - 2015-04-11 09:54 - Jean-Philippe Lang

"Required" and "Read-only" rules on "Fields Permissions" screen are not colored (#19580).

Patch by Go MAEDA.

Revision 14212 - 2015-04-25 09:46 - Jean-Philippe Lang
Merged r14160 (#19580).
https://www.redmine.org/attachments/13461

Revision 14213 - 2015-04-25 09:46 - Jean-Philippe Lang
Merged r14160 (#19580).

History

#1 - 2015-04-09 16:23 - Go MAEDA

- Subject changed from "Required" and "Read-only" rules on "Fields Permission" screen are not colored to "Required" and "Read-only" rules on
"Fields Permissions" screen are not colored

#2 - 2015-04-11 08:09 - Jean-Philippe Lang

- Target version set to 3.0.2

#3 - 2015-04-11 09:54 - Jean-Philippe Lang
- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fix committed in r14160 with a test, thanks.

#4 - 2015-04-25 09:47 - Jean-Philippe Lang

- Category changed from Issues permissions to Ul
- Status changed from Resolved to Closed

- Target version changed from 3.0.2 to 2.6.4

- Affected version deleted (3.0.0)

#5 - 2016-03-27 05:33 - Go MAEDA
- Related to Defect #22305: Highlighting of required and read-only custom fields broken in Workflow editor. added

Files

fields_permissions_color_fix.diff 742 Bytes 2015-04-09 Go MAEDA
with-fix.png 22.7 KB 2015-04-09 Go MAEDA
without-fix.png 22.6 KB 2015-04-09 Go MAEDA
